Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (11)

linux-tools-4.10.0-32

Hashes
Linux kernel version specific tools for version 4.10.0-32 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-32 on 64 bit x86. You probably want to install linux-tools-4.10.0-32-<flavour>.
  • SHA256: d1dba8419d8cf80662592a708f976bd001c777f8b060a6f7f7b7d7705a5e95cb
  • SHA1: 53b23cc7b7c485eb7cb41a2e11c5760f84d7d5ca
  • MD5: d8a0efb177ddcb44e3462c7fb60104be
Information
  • Version: 4.10.0-32.36
  • Filename: linux-tools-4.10.0-32_4.10.0-32.36_amd64.deb
  • Size: 4729
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-32
/usr/lib/libcpupower.so.4.10.0-32
227040
usbip
/usr/lib/linux-tools-4.10.0-32/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-32/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-32/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-32/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-32/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-32/x86_energy_perf_policy
101200

Vulnerabilities

Raw Object

{
  "sha256": "d1dba8419d8cf80662592a708f976bd001c777f8b060a6f7f7b7d7705a5e95cb",
  "sha1": "53b23cc7b7c485eb7cb41a2e11c5760f84d7d5ca",
  "md5": "d8a0efb177ddcb44e3462c7fb60104be",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-32",
  "filename": "linux-tools-4.10.0-32_4.10.0-32.36_amd64.deb",
  "size": 4729,
  "description": "Linux kernel version specific tools for version 4.10.0-32\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-32 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-32-<flavour>.",
  "url": null,
  "version": "4.10.0-32.36",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-32",
      "sha256": "37092620c696c49f2b02fed7f8f204e5d424840be6670093723c80385b5014b8",
      "sha1": "bff9b27b115aa67bfeec6321109719537c6d68f2",
      "md5": "32dc1fda6e6e5538db0fa4b98498d271",
      "name": "libcpupower.so.4.10.0-32",
      "size": 22704,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:14+00:00",
      "updated_at": "2021-03-23T08:49:14+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/usbip",
      "sha256": "fb2271b04da6dae5b9f10a425b3e4706deab95f8605e0d1af99663c9648342f5",
      "sha1": "f016b864165cb5fb0b562e9070525b18e3c7d4b3",
      "md5": "90e57fd8187edd9c2c98e78dc2417de0",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:14+00:00",
      "updated_at": "2021-03-23T08:49:14+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:14+00:00",
      "updated_at": "2021-03-23T08:49:14+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/cpupower",
      "sha256": "dafb2e59d465e36a5f32d8e1c194ccbc5861c06ce58fc693f1be190452cf0d02",
      "sha1": "37b61c0bbd19d8dd7743bb04a683169f29cc2522",
      "md5": "122b94b8440c4b13b275cc26a6c45e08",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:14+00:00",
      "updated_at": "2021-03-23T08:49:14+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/perf",
      "sha256": "5863a099208f57f9df50f7fb0102b77c6085acd6633941b6c5a19112f9bf6847",
      "sha1": "145039379c197c9287b0e92034d47a00c8e62f6d",
      "md5": "2464a17f1b7caaa97cf28af2938c8ac4",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:14+00:00",
      "updated_at": "2021-03-23T08:49:14+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/usbipd",
      "sha256": "5ce08a4fda509cd353d86b96184b6d9584e433d5fb43f74db6e7b459b945c7c2",
      "sha1": "196b9c48946cc5093a811b9fa9e2402cc82c2e9b",
      "md5": "ffcc20c6da1b24040813a40c618bde2a",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:15+00:00",
      "updated_at": "2021-03-23T08:49:15+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-32/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2833383,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T08:49:15+00:00",
      "updated_at": "2021-03-23T08:49:15+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-7487",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "d92f6794a7958232b02302775e8ba469aac3534ebcd559c009d55f5b6f52387e",
        "name": "linux-tools-common",
        "version": "4.10.0-33.37",
        "filename": "linux-tools-common_4.10.0-33.37_all.deb"
      },
      "created_at": "2021-07-17T10:54:08+00:00",
      "updated_at": "2021-07-17T10:54:08+00:00"
    },
    {
      "name": "CVE-2017-1000255",
      "risk": 66,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "552e4edc44f66c284bfaf441b0dca3e28cfb8eabe5dee63a4438d050d763374d",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-37.41",
        "filename": "linux-source-4.10.0_4.10.0-37.41_all.deb"
      },
      "created_at": "2021-04-06T17:33:29+00:00",
      "updated_at": "2021-07-20T09:41:58+00:00"
    },
    {
      "name": "CVE-2017-14106",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "552e4edc44f66c284bfaf441b0dca3e28cfb8eabe5dee63a4438d050d763374d",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-37.41",
        "filename": "linux-source-4.10.0_4.10.0-37.41_all.deb"
      },
      "created_at": "2021-04-06T19:01:48+00:00",
      "updated_at": "2021-07-20T13:00:31+00:00"
    },
    {
      "name": "CVE-2017-7487",
      "risk": 78,
      "source": "USN",
      "sid": "USN-3406-2",
      "fixed": null,
      "created_at": "2021-04-06T19:22:09+00:00",
      "updated_at": "2021-04-06T19:22:09+00:00"
    },
    {
      "name": "CVE-2017-14106",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "b978e30aeb5933591dabe5c5742e1eca406f100bf10eb5789fca807b2f3b85e9",
        "name": "linux-tools-common",
        "version": "4.10.0-37.41",
        "filename": "linux-tools-common_4.10.0-37.41_all.deb"
      },
      "created_at": "2021-04-28T00:01:21+00:00",
      "updated_at": "2021-06-30T04:40:51+00:00"
    },
    {
      "name": "CVE-2017-1000255",
      "risk": 66,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "b978e30aeb5933591dabe5c5742e1eca406f100bf10eb5789fca807b2f3b85e9",
        "name": "linux-tools-common",
        "version": "4.10.0-37.41",
        "filename": "linux-tools-common_4.10.0-37.41_all.deb"
      },
      "created_at": "2021-04-28T01:15:39+00:00",
      "updated_at": "2021-06-29T22:58:56+00:00"
    },
    {
      "name": "CVE-2017-7487",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "1a69e8d5576ecee68782e8589631661a09ea8be0e7d568bbe9a4c9a5d706abb0",
        "name": "linux-source-4.10.0",
        "version": "4.10.0-33.37",
        "filename": "linux-source-4.10.0_4.10.0-33.37_all.deb"
      },
      "created_at": "2021-07-20T00:50:54+00:00",
      "updated_at": "2021-07-20T00:50:54+00:00"
    },
    {
      "name": "CVE-2017-1000255",
      "risk": 66,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "6e3f94972236f5daa89e5c3a42549b781c4037ca56eec4646f61cbaf1456b99e",
        "name": "linux-libc-dev",
        "version": "4.10.0-37.41",
        "filename": "linux-libc-dev_4.10.0-37.41_i386.deb"
      },
      "created_at": "2021-10-29T05:42:49+00:00",
      "updated_at": "2021-10-29T05:42:49+00:00"
    },
    {
      "name": "CVE-2017-14106",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "6e3f94972236f5daa89e5c3a42549b781c4037ca56eec4646f61cbaf1456b99e",
        "name": "linux-libc-dev",
        "version": "4.10.0-37.41",
        "filename": "linux-libc-dev_4.10.0-37.41_i386.deb"
      },
      "created_at": "2021-10-29T20:04:00+00:00",
      "updated_at": "2021-10-29T20:04:00+00:00"
    },
    {
      "name": "CVE-2017-7487",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8dd9389d20261fae378a5eb0061a7200b3c501e7c074ea98c317e4f026d36208",
        "name": "linux-libc-dev",
        "version": "4.10.0-33.37",
        "filename": "linux-libc-dev_4.10.0-33.37_i386.deb"
      },
      "created_at": "2021-10-29T20:32:49+00:00",
      "updated_at": "2021-10-29T20:32:49+00:00"
    },
    {
      "name": "CVE-2017-14106",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "468453d7dff9339514760279ab67898b481b524dadaf8f7bc60fc4091ebcc2c4",
        "name": "linux-libc-dev",
        "version": "4.10.0-37.41",
        "filename": "linux-libc-dev_4.10.0-37.41_amd64.deb"
      },
      "created_at": "2023-06-22T14:17:38+00:00",
      "updated_at": "2023-06-22T14:17:38+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-08-08T17:32:36+00:00",
  "updated_at": "2021-03-23T08:49:14+00:00",
  "deleted_at": null
}